import axios from "axios";
import https from "https";
import { servicesConfig } from "$config/index.js";

/**
 * Create axios instance for SEJAM API
 */
const sejamClient = axios.create({
  baseURL: servicesConfig.sejamConfig.url,
  timeout: 30000,
  httpsAgent: new https.Agent({
    rejectUnauthorized: false, // For self-signed certificates
  }),
});

export default sejamClient;
